---
features:
  secondary:
  - name: "Top-level group Owners can create service accounts"
    available_in: [premium, ultimate]
    gitlab_com: false
    add_ons: []
    documentation_link: 'https://docs.gitlab.com/ee/administration/settings/account_and_limit_settings.html#allow-top-level-group-owners-to-create-service-accounts'
    reporter: hsutor
    stage: software_supply_chain_security
    categories: [System Access]
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/468806'
    description: |
      Currently, only administrators can create service accounts on GitLab self-managed. Now, there is an optional setting which allows top-level group Owners to create service accounts. This allows administrators to choose if they would like a wider range of roles that are allowed to create service accounts, or keep it as an administrator-only task.
